Canvas: Is my current Web browser compatible with Canvas?

Summary

This article describes Web browser compatibility with Canvas.

Content

Browser and computer requirements for Canvas

Supported Browsers

Canvas supports the current and first previous major releases of the following browsers:

  • Chrome 90 and 91
  • Firefox 88 and 89 (Extended Releases are not supported*)
  • Edge 90 and 91
  • Respondus Lockdown Browser (supporting the latest system requirements)
  • Safari 13 and 14 (Macintosh only)

 

Check the Canvas guides for additional information about browser support and links to your browser's website.

https://community.canvaslms.com/docs/DOC-10720

 

Need additional help?

Please fill out this Canvas webform with as much detail as possible or contact the ET&S Help Desk team on your local campus.
 

Details

Article ID: 902
Created
Fri 7/19/19 5:41 PM
Modified
Wed 7/14/21 11:05 AM
Applicable Institution(s):
Granite State College (GSC)
Keene State College (KSC)
Plymouth State University (PSU)
University of New Hampshire (UNH)